CURRENT VERSION:
================

380.59.1_HGG-FINAL (based on RMerlin 380.59)


https://github.com/RMerl/asuswrt-merlin/blob/master/README-merlin.txt
https://www.mediafire.com/folder/05psguze7t8gs


SUPPORTED MODELS:
================

RT-N16, RT-N66U, RT-AC66U, RT-N18U, RT-AC56U, RT-AC56S, RT-AC68U, RT-AC1900, RT-AC87U, RT-AC88U, RT-AC3100, RT-AC3200, RT-AC5300

U, R, W and P variations are also compatible.

U - Base Model
R - Retail Model
W - White Color
P - New model also known as RT-AC68U V2.


*UNLOCKED* FW files with 89 updated old packages to latest versions (lots of CVEs fixes), pppoe-server, sftp-server and bonding support, 
custom MOTD, nano editor, new FW commands available and some other extra features that could be seen in detail on FW changes list bellow.


UPDATED PACKAGES:
================

atop bonnie bridge-utils coreutils curl cyassl diskdev_cmds darkstat dnsmasq dosfstools dropbear e2fsprogs ebtables ecmh expat ffmpeg flac
flex gdb geoIP htop ifenslave iftop igmpproxy iperf iproute2 iproute2-3x iputils jpeg libevent libexif libgcrypt libgdbm libgpgerror libgmp libmnl
libncurses libogg libpcap libusb libvorbis libxml2 lighttpd lsof lzma lzo masscan matrixssl mDNSResponder memtester minidlna miniupnpd nano
ncat neon nettle nmap nping net-snmp netstat-nat ntfs-3g openlldp openpam openssl openvpn pcre ppp pppoe-server pptp-client pptpd quagga radvd
sdparm sftp-server sqlite strace tcpdump tor usb_modeswitch udev udhcpd udpxy util-linux vlan vsftpd wget wireless_tools xl2tpd xzutils zlib


********************************************************************************************************************************************
*   MANDATORY: FACTORY DEFAULT RESTORE (http://ROUTERIP/Advanced_SettingBackup_Content.asp) AND/OR HW RESET IS REQUIRED AFTER FW UPGRADE.  *
*   ********   A REBOOT / POWER CYCLE IS ALSO RECOMMENDED IN ORDER TO LOAD DEFAULT CONFIGURATION.                                          *
*   DO NOT USE/IMPORT OLD CONFIGURATION FILE FROM A DIFFERENT FW AFTER FLASHING, JUST CONFIGURE IT MANUALLY FROM SCRATCH.                  *
*                                                                                                                                          *
*   ALL WIRELESS CHANNELS ARE UNLOCKED AND AVAILABLE ON THIS FW, SO YOUR CLIENTS COULD NOT USE SOME OF THEM BECAUSE OF REGION LOCK ON THE  *
*   CLIENT SIDE. DO NOT USE AUTO CONTROL CHANNEL OPTION OR THE ROUTER CAN ACT LIKE IT'S NOT BROADCASTING TO THOSE CLIENTS.                 *
*                                                                                                                                          *
*   ALWAYS CHOOSE A MANUAL CONTROL CHANNEL ON BOTH 2.4 AND 5GHZ BANDS (http://ROUTERIP/Advanced_Wireless_Content.asp)                      *
*                                                                                                                                          *
********************************************************************************************************************************************


POWER SLIDE: - http://ROUTERIP/Advanced_WAdvanced_Content.asp
===========

These are the new TX Power level reference values:


   1% => 42mW (16.2 dBm)

  25% => 83mW (19.2 dBm)

  50% => 178mW (22.5 dBm)

  75% => 355mW (25.5 dBm)

 100% => 1000mW (30 dBm)


By default the FW powerslide is set to 70% (25dBm), for more information about txpower usage please read: 

http://www.quantenna.com/pdf/80211nPowerSettings.pdf

NOTE: This FW will increase wireless signal strength RSSI by 10-24dbm over stock/other FWs on 2.4 and 5GHZ bands, depending on router model. 

ENHANCED MODE / MAXIMUM COVERAGE option (only available on FW versions >= 380.57) can be used to gain an extra ~7-12dBm (2.4GHZ) / ~3-5dBm (5GHZ).


IMPORTANT NOTE:
===============

Local regional laws regarding RF power transmission and channels use should ALWAYS be respected when using this software.


CONTACT / FEEDBACK:
==================

asuswrt.hgg@gmail.com


ASUS KNOWN ISSUES:
=================

- RT-AC66U/RT-AC68U Repeater Mode reboot loop.


TODO LIST:
=========

- Iptables nDPI support.


CHANGES:
=======

380.59.1: (10 SET 16)*

- NEW: Bonding / Link Aggregation (LACP) support.
- NEW: Facebook Wi-Fi support. (ARM only)
- NEW: Minor backports from latest GPL versions.
- NEW: RT-N16/RT-N18U wireless driver.
- FIXED: Double ca-bundle.crt file.
- FIXED: mDNSResponder code.
- FIXED: Minor code issues.
- FIXED: mtd-write compatibility.
- FIXED: Obscure VPN Server password field by default unless selected.
- FIXED: RT-N18U BCMRECV support.
- FIXED: Several code typos.
- FIXED: Time Scheduling / MAC Filter increased to 64.
- FIXED: URL Filter maximum characters increased to 64.
- FIXED: WEBUI features list.
- FIXED: WEBUI failed login syslog message not working after logout.
- FIXED: WEBUI Smart Control page phrasing.
- FIXED: WEBUI Wireless Professional page behavior.
- FIXED: WPS disabled by default.
- UPDATED: Curl to 7.50.2 version.
- UPDATED: Dropbear to 2016.74 version.
- UPDATED: DNSMasq to 2.77 version.
- UPDATED: E2fsprogs 1.43.3 version.
- UPDATED: Htop to 2.0.2 version.
- UPDATED: IPTables to 1.4.21 version. (ARM only)
- UPDATED: Libgcrypt to 1.7.3 version.
- UPDATED: Libmnl to 1.0.4 version.
- UPDATED: Libgpg-error to 1.24 version.
- UPDATED: mDNSResponder to 625.60.4 version.
- UPDATED: Nano Editor to 2.7.0 version.
- UPDATED: OpenVPN to 2.3.12 version.
- UPDATED: SFTP Server to 7.3 version.
- UPDATED: SQLite to 3.14.1 version.
- UPDATED: Strace to 4.13 version.
- UPDATED: Tor to 0.2.8.7 version.
- UPDATED: Util-Linux to 2.28.1 version.
- REVERTED: NMap to 7.12 version on RT-N66U model, due to size increase (~5MB) on the limited 32MB FLASH, it can still be used via Entware.

* FIRMWARE RE-UPLOADED DUE TO COMPILE SCRIPT ERROR ON FIRST 380.59.1 BUILD ATTEMPT.


380.59: (27 JUN 16)

- NEW: FW optimisations.
- NEW: Kernel 2.6.36.4 (ARM SDK7/7.14) backports/fixes.
- NEW: Ntop nDPI 1.7.1 version.
- NEW: RT-AC56S switch from Paragon to Tuxera driver. (Better performance)
- NEW: RT-AC87U Quantenna FW version.
- NEW: Wireless driver on ALL models.
- FIXED: DDNS service on RT-AC87U model.*
- FIXED: Missing 'Save syslog to JFFS partition' option.*
- FIXED: TX power code logic, affecting RT-AC56U/S models in ~0.5dBm/1.2mW.
- FIXED: Wireless Log page on RT-N16 model.*
- UPDATED: Curl to 7.49.1 version.
- UPDATED: DNSMasq to 2.76 version.
- UPDATED: E2fsprogs 1.43.1 version.
- UPDATED: Expat to 2.2.0 version.
- UPDATED: GDB to 7.11.1 version.
- UPDATED: Iperf to 3.1.3 version.
- UPDATED: Libgcrypt to 1.7.1 version.
- UPDATED: Libgdbm to 1.12 version.
- UPDATED: Libgmp to 6.1.1 version.
- UPDATED: Libgpg-error to 1.23 version.
- UPDATED: Libxml2 to 2.9.4 version.
- UPDATED: LZMA to 16.02 version.
- UPDATED: MiniUPNPd to 2.0 version.
- UPDATED: Nano Editor to 2.6.0 version.
- UPDATED: OpenVPN to 2.3.11 version.
- UPDATED: PCRE to 8.39 version.
- UPDATED: Quagga 0.99.24.1 version.
- UPDATED: SQLite to 3.13.0 version.
- UPDATED: Strace to 4.12 version.
- UPDATED: USB_ModeSwitch to 2.4.0 version.
- UPDATED: Util-Linux to 2.28 version.
- UPDATED: Wget 1.18 version.
- REVERTED: RT-N16 NVRAM upgrade to 64KB*. (EXPERIMENTAL)
- REVERTED: RT-N16 OpenVPN support.

* DUE TO DEVELOPMENT MACHINE FATAL CRASH (RMA) AT COMPILE TIME ON FIRST 380.59 BUILD ATTEMPT.


380.58.2: (5 MAY 16)

- NEW: GPL version added to Sysinfo.
- NEW: Minor backports from latest ASUS code.
- NEW: RT-N16/RT-N66U JFFS2LOG support.
- NEW: RT-N16 NVRAM upgrade to 64KB*. (EXPERIMENTAL)
- NEW: RT-N16 OpenVPN support.
- NEW: RT-N16 Wi-Fi TX power slide adjustment support.
- NEW: Wireless driver on ARM SDK7 models (RT-AC3100/RT-AC5300/RT-AC88U).
- FIXED: Dropbear 2016.73 tunneling.
- FIXED: RT-AC3200 AUTO channel configuration on 5GHZ(2).
- FIXED: RT-AC5300 faulty wireless setup on previous build.
- FIXED: RT-N16 VPN Status page not working when OpenVPN is not supported.
- FIXED: WEBUI WDS tab missing on some models.
- UPDATED: Libgpg-error to 1.22 version.
- UPDATED: Nettle to 3.2 version.
- UPDATED: OpenSSL to 1.0.2h version.

* FACTORY RESET REQUIRED


380.58.1: (26 APR 16)

- NEW: Wireless driver on MIPS models (RT-AC66U/RT-N66U).
- NEW: Wireless driver on ARM models (RT-AC56U/RT-AC68U/RT-AC87U).
- FIXED: AICloud service not working.
- FIXED: Kernel PCH syslog flood message on SDK6 ARM models.
- FIXED: RT-AC3200 Enhanced Mode on 5GHZ(2).
- FIXED: RT-AC66U Repeater Mode reboot loop.
- FIXED: WEBUI wireless AUTO channel visual glitch on SDK7 models.
- UPDATED: Samba CVE security backports.
- UPDATED: SQLite to 3.12.2 version.


380.58: (17 APR 16)

- NEW: Minor backports from latest ASUS code. 
- NEW: RT-AC87U Quantenna FW version.
- NEW: RT-AC88U/RT-AC3100/RT-AC5300 support.
- NEW: RT-N16 Asus Router App (iOS / Android) support.
- NEW: RT-N16 Enhanced Mode support.
- NEW: WEBUI login/attempt/logout saved on syslog.
- NEW: Wireless tweaking on SDK7 models.
- FIXED: Minor capitalization on WEBUI.
- FIXED: Minor HTTP Server inappropriate ASUS code.
- FIXED: Minor changes on WEBUI phrasing.
- FIXED: Quantenna missing code.
- FIXED: RT-AC3200 faulty wireless setup on previous build.
- FIXED: Udpxy service (IPTV) not working.
- FIXED: WEBUI font resizing on several pages.
- UPDATED: Curl to 7.48.0 version.
- UPDATED: Dropbear to 2016.73 version.
- UPDATED: Expat to 2.1.1 version.
- UPDATED: Htop to 2.0.1 version.
- UPDATED: Iperf to 3.1.2 version.
- UPDATED: Libgcrypt to 1.7.0 version.
- UPDATED: Lighttpd to 1.4.39 version.
- UPDATED: Nano Editor to 2.5.3 version.
- UPDATED: NCat to 7.12 version.
- UPDATED: NMap to 7.12 version.
- UPDATED: NPing to 0.7.12 version.
- UPDATED: OpenSSL to 1.0.2g version.
- UPDATED: SDParm to 1.10 version.
- UPDATED: SFTP Server to 7.2p2 version.
- UPDATED: SQLite to 3.12.1 version.
- UPDATED: Udpxy to 1.0.23-10 version.


380.57.7: (21 FEV 16)

- NEW: Minor backports from latest ASUS code.
- FIXED: Time Machine module loading error on syslog, this issue was never addressed on ASUS code.
- REVERTED: Avahi to 0.6.32 version. (Time Machine not recognizing storage device)


380.57.6: (17 FEV 16)

- NEW: OpenVPN XOR obfuscation and UTUN support.
- FIXED: Unable to set Regulation Mode on WEBUI.
- FIXED: Preamble Type removal (ASUS code) on 5GHZ Professional tab.
- FIXED: WEBUI APPLY timings.
- UPDATED: Avahi to 0.6.32 version.
- UPDATED: Curl to 7.47.1 version.
- UPDATED: Htop to 2.0.0 version.
- UPDATED: Libgcrypt to 1.6.5 version.
- UPDATED: MiniUPNPd to 1.9.20160216 version.
- UPDATED: Nano Editor to 2.5.2 version.
- UPDATED: SDParm to 1.10b4 version.
- UPDATED: SQLite to 3.11.0 version.


380.57.5: (8 FEV 16)

- FIXED: Enhanced Mode, it locks up after set to Maximum Coverage (slower speeds) and it's unable to revert back to Maximum Speed after, this affects all ARM models.
- UPDATED: SDParm to 1.10b3 version.


380.57.4: (3 FEV 16)

- FIXED: MiniDLNA not working due to wrong symlink filename.

KNOWN ISSUES:

- Enhanced Mode, it locks up after set to Maximum Coverage (slower speeds) and it's unable to revert back to Maximum Speed after, this affects all ARM models.


380.57.3: (1 FEV 16)

- NEW: Private Internet Access VPN support.
- FIXED: ASUS WEBUI missing code.
- FIXED: RT-AC56U/S TX Power code.
- FIXED: WEBUI Media Server code.
- UPDATED: Curl to 7.47.0 version.
- UPDATED: JPEG to v9b version.
- UPDATED: LibUSB to 1.0.20 version.
- UPDATED: OpenSSL to 1.0.2f version.
- UPDATED: PCRE to 8.38 version.
- UPDATED: SDParm to 1.10b2 version.
- UPDATED: SQLite to 3.10.2 version.
- UPDATED: USB_ModeSwitch to 2.3.0 version.

KNOWN ISSUES:

- MiniDLNA not working due to wrong symlink filename.


380.57.2: (18 JAN 16)

- FIXED: Minor code issues.
- FIXED: Typo in MiniDLNA database code causing high CPU loading.
- UPDATED: Expat to 2.1.0 version.
- UPDATED: Libgdbm to 1.11 version.
- UPDATED: LZMA to 15.14 version.
- UPDATED: Nano Editor to 2.5.1 version.
- UPDATED: SFTP Server to 7.1p2 version.
- UPDATED: SQLite to 3.10.1 version.
- UPDATED: USB_ModeSwitch to 2.2.6 version.
- REVERTED: Ipset to 6.27 version. (Ipset 6.x version backports not fully working on BCM specific kernel)


380.57.1: (9 JAN 16)

- FIXED: 5GHZ band forcing 20MHZ when using 20/40/80MHZ option on WEBUI, resulting in slower link speeds.
- UPDATED: IPRoute2 to 2.6.39 (MIPS) version.
- UPDATED: Ipset to 6.27 version.
- UPDATED: Libgmp to 6.1.0 version.
- UPDATED: Libmnl to 1.0.3 version.
- UPDATED: MiniDLNA to 1.1.5.2016.01.07 version.
- UPDATED: MiniUPNPd to 1.9.20160104 version.
- UPDATED: SQLite to 3.10.0 version.


380.57: (5 JAN 16)

* REQUIRES RESET / FACTORY DEFAULT RESTORE AND MANUAL CONFIGURATION AFTER FW UPGRADE, DUE TO NEW SDK VERSION. DO NOT USE / IMPORT OLD CONFIGURATION FILES.

- NEW: FW optimisations.
- NEW: RT-AC56U / RT-AC87U wireless driver.
- NEW: WEBUI disable scan media (for dlna service) on boot option.
- NEW: WEBUI Enhanced Mode* option added to Wireless Professional on ALL supported models.
- NEW: WEBUI obscure all wireless passwords fields by default unless selected.
- NEW: WEBUI Power LED only option available on Stealth Mode.
- NEW: WEBUI save syslog to JFFS option.
- NEW: WEBUI support change HTTP port.
- NEW: WEBUI TX Powerslide code, allows better txpower increments/decrements to all units from 42 to 1000mW.
- NEW: WEBUI Wireless Professional unlocked on ALL router modes.
- FIXED: ASUS NVRAM manipulation blockage.
- FIXED: ASUS WEBUI broken code.
- FIXED: DDNS service updating every 30s.
- FIXED: Default ARM 'TCP Timeout Established' set on RT-N18U and RT-AC56S models.
- FIXED: Default ARM 'TCP Timeout Established' set to '3600'.
- FIXED: HTTP/HTTPS port range validation.
- FIXED: HTTP service buffer overflow.
- FIXED: OpenVPN connection issue when using username/password auth configuration.
- FIXED: Port conflict when reverting back to default HTTP port (80).
- FIXED: RT-AC3200 missing Wi-Fi channels and txpower locking.
- FIXED: RT-AC3200 USB 3.0 compatability issue.
- FIXED: RT-AC56U and RT-AC3200 unable to set TX Power.
- FIXED: RT-AC87U 'Power ON only' option was unable to shutdown Realtek LAN1 led after rebooting.
- FIXED: RT-N18U QoS_EZQoS.asp not loading icon.css.
- FIXED: RT-N18U Tools_Sysinfo.asp not showing the temperatures, causing httpd crash/restart.
- FIXED: Site survey not working.
- FIXED: Stealth Mode not working.
- FIXED: Syslog service not able to initialize in some situations.
- FIXED: TX Power Slide small code error.
- UPDATED: Avahi to 0.6.32rc version.
- UPDATED: Curl to 7.46.0 version.
- UPDATED: DNSMasq to 2.76 RC version.
- UPDATED: Diskdev Cmds to 582 version.
- UPDATED: Dropbear to 2015.71 version.
- UPDATED: Flex to 2.6.0 version.
- UPDATED: GDB to 7.10.1 version.
- UPDATED: Iperf to 3.1 version.
- UPDATED: Libgcrypt to 1.6.4 version.
- UPDATED: Libgpg-error to 1.21 version.
- UPDATED: Libncurses to 6.0 version.
- UPDATED: Libxml2 to 2.9.3 version.
- UPDATED: mDNSResponder to 576.30.4 version.
- UPDATED: MiniDLNA to 1.1.5 version.
- UPDATED: MiniUPNPd to 1.9.20151119 version.
- UPDATED: Nano Editor to 2.5.0 version.
- UPDATED: NCat to 7.01 version.
- UPDATED: NMap to 7.01 version.
- UPDATED: NPing to 0.7.01 version.
- UPDATED: OpenSSL to 1.0.2e version.
- UPDATED: OpenVPN to 2.3.10 version.
- UPDATED: SFTP Server to 7.1p1 version.
- UPDATED: SQLite to 3.9.2 version.
- UPDATED: Strace to 4.11 version.
- UPDATED: Tor to 0.2.7.6 version.
- UPDATED: Util-Linux to 2.27.1 version.
- UPDATED: Wget to 1.17.1 version.
- UPDATED: XZ Utils to 5.2.2 version.

KNOWN ISSUES: 

- 5GHZ band forcing 20MHZ when using 20/40/80MHZ option on WEBUI, resulting in slower link speeds. (FIXED)


* This option allows to choose between: 

[Maximum Speed] Default - Allows high speed links.
[Maximum Coverage] Increases RSSI ~5-12dBm (2.4GHZ) / ~3-5dBm (5GHZ) without TXpower increase at cost of reduced speed.

http://www.mediafire.com/download/vd6k84c1ddic36b/Enhanced+Mode.zip


378.55.3: (3 AUG 15)

- CHANGED: Coreutils 8.24 version update.
- CHANGED: DNSMasq 2.75 version update.
- CHANGED: MiniDLNA 1.1.4.20150730 version update.
- CHANGED: MiniUPNPd 1.9.20150729 version update.
- CHANGED: SQLite 3.8.11 version update.
- CHANGED: Tor 0.2.6.10 version update.
- CHANGED: VSFTPD 3.0.3 version update. (ARM & MIPS builds)
- REVERTED: Netatalk 3.1.7 (AppleShare File Server / Time Machine) version update.
- REVERTED: NFS-Utils 1.3.2 version update.


378.55.2: (25 JUL 15)

- FIXED: Unable to set WPA2 authentication on Guest Network.
- FIXED: WAN Automatic IP (DHCP) glitch, unable to get IP address.
- CHANGED: MiniDLNA 1.1.4.20150715 version update.
- CHANGED: MiniUPNPd 1.9.20150721 version update.


378.55.1: (22 JUL 15)

- FIXED: RT-AC56S and RT-N18U unable to mount FAT32/NTFS filesystems.
- FIXED: Unable to load correctly WEBUI FTP/SAMBA pages.

KNOWN ISSUES: 

- Unable to set WPA2 authentication on Guest Network.
- WAN Automatic IP (DHCP) glitch, unable to get IP address.


378.55: (19 JUL 15) 

* THIS FW VERSION REQUIRES HW RESET AFTER UPDATE *

- NEW: FW logo.
- NEW: FW optimisations.
- NEW: RT-AC87U Quantenna FW version, update to QTN 37.3.0.43.
- NEW: RT-AC87U wireless driver version, update to BCM SDK 6.37.14.105.
- NEW: RT-N18U wireless driver version.
- NEW: Kernel 2.6.22.19 (MIPS) backports/fixes.
- NEW: Kernel 2.6.36.4 (ARM) backports/fixes.
- FIXED: Duplicate regulatory mode entries in dropdown selector.
- FIXED: Hotplug2 long boot.
- FIXED: RT-AC87U channel selection on 5GHZ band, unable to select any channel.
- FIXED: RT-N16 channel selection, stuck on channel 1 regardless of which one is selected.
- FIXED: RT-N16 welcome screen wrong specifications information.
- FIXED: WEBUI dictionary PT/BR with critical translation errors and menus missing capital letters.
- CHANGED: Curl 7.43.0 version update.
- CHANGED: DNSMasq 2.73 version update.
- CHANGED: FFMPEG 0.10.16 version update.
- CHANGED: Increase RT-AC56S rootfs size to 64MB.
- CHANGED: Increase RT-N18U rootfs size to 64MB.
- CHANGED: JPEG v9a version update.
- CHANGED: Libpcap 1.7.4 version update.
- CHANGED: Lsof 4.89 version update.
- CHANGED: MiniDLNA 1.1.4.20150626 version update.
- CHANGED: MiniUPNPd 1.9.20150609 version update.
- CHANGED: Nano Editor 2.4.2 version update.
- CHANGED: NFS-Utils 1.3.2 version update.
- CHANGED: OpenSSL 1.0.2d version update.
- CHANGED: SFTP Server 6.9 version update.
- CHANGED: Tor 0.2.6.9 version update.
- CHANGED: Udev 127 version update.
- REVERTED: Adblock available now on all DPI models.

KNOWN ISSUES: 

- RT-AC56S and RT-N18U unable to mount FAT32/NTFS filesystems.
- Unable to load correctly WEBUI FTP/SAMBA pages.


378.54: (9 JUNE 15)

- NEW: Masscan 1.0.3 version available now.
- NEW: NCat 6.47 version available now.
- NEW: NMap 6.47 version available now.
- NEW: NPing 0.6.47 version available now.
- NEW: RT-AC66U wireless driver version.
- NEW: RT-N66U wireless driver version.
- FIXED: Several memory leaks.
- CHANGED: Darkstat 3.0.719 version update.
- CHANGED: DNSMasq 2.73 RC9 version update.
- CHANGED: E2fsprogs 1.42.13 version update.
- CHANGED: GDB 7.9.1 version update.
- CHANGED: OpenVPN 2.3.7 version update.
- CHANGED: SQLite 3.8.10.2 version update.
- CHANGED: Tor 0.2.6.8 version update.


378.53.1: (12 MAY 15)

- NEW: Atop 2.1 version available now.
- NEW: Darkstat 3.0.718 version available now.
- NEW: Htop 1.0.3 version available now.
- NEW: Iftop 1.0pre4 version available now.
- NEW: Memtester 4.3.0 version available now.
- FIXED: Tcpdump IPV6 support.
- CHANGED: Curl 7.42.1 version update.
- CHANGED: DNSMasq 2.73 RC7 version update.
- CHANGED: FFMPEG 0.6.7 version update.
- CHANGED: LibUSB 1.0.19 version update.
- CHANGED: MiniUPNPd 1.9.20150430 version update.
- CHANGED: Netatalk 3.1.7 (AppleShare File Server / Time Machine) version update.
- CHANGED: PCRE 8.37 version update.
- CHANGED: SQLite 3.8.10.1 version update.
- CHANGED: Tor 0.2.5.12 version update.


378.53: (28 APRIL 15)

- NEW: Adblock available now on all DPI models.
- NEW: FW optimisations.
- NEW: mtd-write added to all ARM models.
- NEW: Nano Editor 2.4.1 version available now.
- NEW: RT-AC66U wireless driver version.
- NEW: RT-N18U wireless driver version.
- FIXED: DHCP Server lease time countdown not working.
- FIXED: RT-AC87U 5GHZ LED behaviour.
- FIXED: WEBUI spacing.
- FIXED: WEBUI uPNP code.
- CHANGED: Curl 7.42.0 version update.
- CHANGED: DNSMasq 2.73 RC6 version update.
- CHANGED: Libgpg-error 1.19 version update.
- CHANGED: Libpcap 1.7.3 version update.
- CHANGED: LZMA 9.38 version update.
- CHANGED: Ntfs-3g_ntfsprogs 2015.3.14 version update.
- CHANGED: SQLite 3.8.9 version update.
- CHANGED: TCPdump 4.7.4 version update.
- CHANGED: Tor 0.2.5.12 version update.


378.52.1: (5 APRIL 15)

- FIXED: After saving router configuration file DDNS service will stop working.
- FIXED: AICloud service not working on ARM routers.
- FIXED: RT-N16 not unlocking the wireless signal.
- CHANGED: DDNS service hostname maximum characters increased to 64.
- REVERTED: RT-N16 OpenVPN support, NVRAM 32KB size cannot handle it.


378.52: (3 APRIL 15)

- NEW: RT-AC56S wireless driver version.
- NEW: RT-AC87U Quantenna FW version.
- NEW: RT-N16 OpenVPN support.
- NEW: Toolchain and code optimisations.
- FIXED: MOTD now shows the correct FW version.
- FIXED: uPNP/miniDLNA FW version number replaced with router model name.
- FIXED: WebUI VPN IP address reporting.
- CHANGED: Bridge Utils 1.5 version update.
- CHANGED: IPRoute2 3.19.0 (ARM) version update.
- CHANGED: Libevent 2.0.22 version update.
- CHANGED: Libgcrypt 1.6.3 version update.
- CHANGED: Libgpg-error 1.12 version update.
- CHANGED: Libpcap 1.7.2 version update.
- CHANGED: mDNSResponder 567 version update.
- CHANGED: MiniUPNPd 1.9.20150309 version update.
- CHANGED: OpenSSL 1.0.2a version update.
- CHANGED: SFTP Server 6.8 version update.
- CHANGED: TCPdump 4.7.3 version update.
- CHANGED: Tor 0.2.5.11 version update.

KNOWN ISSUES:

- After saving router configuration file DDNS service will stop working.
- AICloud service not working on ARM routers.


3.0.0.4_378.51.1: (10 MARCH 15)

- NEW: RT-AC87U Quantenna FW version.
- FIXED: RT-N66U was missing some of the NEW features.
- FIXED: Tools_Sysinfo.asp tab crash the WebUI http server on last build due an erroneous pull to 378.52 Alpha1 code.
- CHANGED: Diskdev Cmds 576 version update.
- CHANGED: ECMH 2014.07.25 version update.
- CHANGED: GDB 7.9 version update.
- CHANGED: Libvorbis 1.3.5 version update.
- CHANGED: Libxml2 2.9.2 version update.
- CHANGED: Quagga 0.99.24 version update.
- CHANGED: SDparm 1.09 version update.
- CHANGED: Strace 4.10 version update.
- CHANGED: Wget 1.16.3 version update.


3.0.0.4_378.51: (5 MARCH 15)

- NEW: Bonding support.
- NEW: RT-AC66U newer wireless driver version.
- NEW: Strace 4.9 version available now.
- NEW: Wifi logo.
- FIXED: RT-AC87U site survey funcionality on 5GHZ band.
- CHANGED: Curl 7.41.0 version update.
- CHANGED: CyaSSL 3.4.0 version update.
- CHANGED: LZO 2.09 version update.
- CHANGED: SQLite 3.8.8.3 version update.


3.0.0.4_378.50.7:

- NEW: NAT loopback option available on WebUI firewall tab.
- FIXED: Tools - System Information not showing connected wireless clients.
- CHANGED: P910nd 0.97 version update.
- CHANGED: Samba 3.6.25 version update. (CVE-2015-0240 fix)
- CHANGED: URL replacement on WebUI FW upgrade tab.
- CHANGED: VSFTPD 3.0.2 version update. (Only on ARM builds)
- CHANGED: WebUI Merlin logo and URL removal.


3.0.0.4_378.50.6:

- NEW: SFTP Server support.
- FIXED: Firewall URL Filter maximum characters increased to 50.
- FIXED: RT-AC87U WebUI httpd server crash.
- FIXED: RT-N18U/RT-AC56S script typo created issues when mounting USB devices on previous build.
- CHANGED: Dropbear 2015.67 version update.


3.0.0.4_378.50.5:

- NEW: Tac command available now.
- NEW: WebUI Wireless log page.
- FIXED: Incomplete ASUS powerslide code not working correctly.
- FIXED: RT-AC68U/P issues with 5GHZ power and channel unlocking on previous 378.50 build.


3.0.0.4_378.50.4:

- NEW: Iperf 2.0.5 version available now.
- NEW: Lsof 4.88 version available now.
- NEW: RT-AC87U Quantenna FW version.
- NEW: TCPdump 4.6.2 version available now.
- FIXED: WebUI powerslide adjustment.


3.0.0.4_378.50.3:

- FIXED: New firewall forward WAN rules from 378.51 Alpha1 code.
- CHANGED: TXPower is configured to 25dBm (50%) on all router models by default.


3.0.0.4_378.50.2:

- FIXED: WebUI Tools_OtherSettings.asp tab not showing up on WebUI due an erroneous pull to 378.51 Alpha1 code.


3.0.0.4_378.50.1:

- NEW: PPPoE Server available now.
- NEW: Support RT-N18U and RT-AC56S models.
- CHANGED: NVRAM values don't need to be applied anymore, after FW update they will be automatically configured on the router.

RT-N18U:
- FIXED: FAT/FAT32/NTFS filesystem automount.
- FIXED: JFFS2 automount.
- FIXED: Stealth Mode WLAN Led not turning off.
- FIXED: WPS button Radio ON/OFF toggle.
